using System.Collections.ObjectModel;

using Microsoft.UI.Xaml.Controls;

namespace TestProject;

/// <summary>
///  
/// </summary>
public sealed partial class MainPage : Page
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Property
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region ׸ ÷ - ItemCollection

    /// <summary>
    /// ׸ ÷
    /// </summary>
    public ObservableCollection<string> ItemCollection { get; set; } = [];

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region  - MainPage()

    /// <summary>
    /// 
    /// </summary>
    public MainPage()
    {
        InitializeComponent();

        ItemCollection = GetItemCollection(200);
    }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Private

    #region ׸ ÷ ϱ - GetItemCollection(itemCount)

    /// <summary>
    /// ׸ ÷ ϱ
    /// </summary>
    /// <param name="itemCount">׸ </param>
    /// <returns>׸ ÷</returns>
    private ObservableCollection<string> GetItemCollection(int itemCount)
    {
        ObservableCollection<string> collection = [];

        for(int i = 0; i < itemCount; i++)
        {
            string item = (i % 2) == 0 ? $"{i} - Even" : $"{i} - Odd";

            collection.Add(item);
        }

        return collection;
    }

    #endregion
}